## dde-wldpms 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde_wldpms)

set(TARGET_NAME dde_wldpms)

add_executable(${TARGET_NAME} src/main.cpp)

find_package(KF5Wayland REQUIRED)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Gui
REQUIRED)

target_link_libraries(${TARGET_NAME}  Qt5::Core)
target_link_libraries(${TARGET_NAME} KF5::WaylandClient KF5::WaylandServer)

=== debian/changelog ===
dde-wldpms (1.0.2-1) unstable; urgency=medium

  * update

 -- guonafu <guonafu@uniontech.com>  Mon, 27 Dec 2021 19:52:25 +0800

dde-wldpms (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- guonafu <guonafu@uniontech.com>  Thu, 27 Feb 2020 17:00:11 +0800

=== debian/control ===
Source: dde-wldpms
Section: devel
Priority: optional
Maintainer: guonafu <guonafu@uniontech.com>
Build-Depends: debhelper (>= 11), libkf5wayland-dev, pkg-config, cmake, qtbase5-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: dde-wldpms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: this is dde wldpms
 dpms for wayland.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
%:
	dh $@ 

override_dh_auto_clean:
	echo clean

## dde-wldpms 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde_wldpms)

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")

set(TARGET_NAME dde_wldpms)

add_executable(${TARGET_NAME} src/main.cpp)

find_package(DWayland REQUIRED)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS Core DBus Gui REQUIRED)

target_link_libraries(${TARGET_NAME}
  Qt5::Core
  Qt5::Gui
  Qt5::DBus
  DWaylandClient
)

=== debian/changelog ===
dde-wldpms (2.0.1) unstable; urgency=medium

  * fix debian ci

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 19 Dec 2023 11:04:23 +0800

dde-wldpms (2.0.0.0) unstable; urgency=medium

  * release 2.0.0.0

 -- fanpengcheng <fanpengcheng@uniontech.com>  Tue, 14 Jun 2022 17:20:13 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: guonafu <guonafu@uniontech.com>
-Build-Depends: debhelper (>= 11), libkf5wayland-dev, pkg-config, cmake, qtbase5-dev
+Build-Depends: debhelper (>= 11), libkf5wayland-dev, pkg-config, cmake, qtbase5-dev, libdwayland-dev
 Standards-Version: 4.1.3
 Homepage: http://www.deepin.org/
